Package org.jbpm.services.task.impl

## Class TaskSummaryQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.task.query.TaskSummaryQueryBuilder>
  - - org.jbpm.services.task.impl.TaskSummaryQueryBuilderImpl

- All Implemented Interfaces:
    `org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.task.query.TaskSummaryQueryBuilder,​org.kie.api.task.model.TaskSummary>`, `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.TaskSummaryQueryBuilder>`, `org.kie.internal.query.ProcessInstanceIdQueryBuilder<org.kie.internal.task.query.TaskSummaryQueryBuilder,​org.kie.api.task.model.TaskSummary>`, `org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<org.kie.internal.task.query.TaskSummaryQueryBuilder,​org.kie.api.task.model.TaskSummary>`, `org.kie.internal.task.query.TaskSummaryQueryBuilder`

      public class TaskSummaryQueryBuilderImpl
      extends org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.task.query.TaskSummaryQueryBuilder>
      implements org.kie.internal.task.query.TaskSummaryQueryBuilder

  Main Implementation of the `TaskSummaryQueryBuilder`. See the `TaskSummaryQueryBuilder` interface for more information. This implementation defaults to an ascending orderby of "Id". It's important to have a default ordering of results so that optional (`QueryContext`) offset and count parameters then will actually be useful. Without an ordering, subsequent queries can retrieve different randomly ordered lists.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.task.query.TaskSummaryQueryBuilder

      `org.kie.internal.task.query.TaskSummaryQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskSummaryQueryBuilderImpl()` |
    `TaskSummaryQueryBuilderImpl​(String userId, org.kie.api.task.TaskService taskService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `activationTime​(Date... activationTime)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `activationTimeRange​(Date activationTimeMin, Date activationTimeMax)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `actualOwner​(String... taskOwnerId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `archived​(boolean archived)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `ascending​(org.kie.internal.task.query.TaskSummaryQueryBuilder.OrderBy field)` |
    `org.kie.internal.query.ParametrizedQuery<org.kie.api.task.model.TaskSummary>` | `build()` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `businessAdmin​(String... businessAdminId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `clear()` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `createdBy​(String... createdById)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `createdOn​(Date... createdOnDate)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `createdOnRange​(Date createdOnMin, Date createdOnMax)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `deploymentId​(String... deploymentId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `descending​(org.kie.internal.task.query.TaskSummaryQueryBuilder.OrderBy field)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `description​(String... description)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `expirationTime​(Date... expirationTime)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `expirationTimeRange​(Date expirationTimeMin, Date expirationTimeMax)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `formName​(String... formName)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `name​(String... names)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `potentialOwner​(String... potentialOwnerId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `priority​(int... priority)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `processId​(String... processId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `processInstanceId​(long... processInstanceId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `processInstanceIdRange​(Long processInstanceIdMin, Long processInstanceIdMax)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `processSessionId​(long... processSessionId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `skippable​(boolean skippable)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `stakeHolder​(String... stakeHolderId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `status​(org.kie.api.task.model.Status... status)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `subject​(String... subjects)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `subTaskStrategy​(org.kie.internal.task.api.model.SubTasksStrategy... subTasksStrategy)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `taskId​(long... taskId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `taskIdRange​(Long taskIdMin, Long taskIdMax)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `taskParentId​(long... taskParentId)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `taskType​(String... taskType)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `variableName​(String... varName)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `variableValue​(String... varValue)` |
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `workItemId​(long... workItemId)` |

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### TaskSummaryQueryBuilderImpl

          public TaskSummaryQueryBuilderImpl()

    - #### TaskSummaryQueryBuilderImpl

          public TaskSummaryQueryBuilderImpl​(String userId,
                                             org.kie.api.task.TaskService taskService)

  - ### Method Detail

    - #### activationTime

          public org.kie.internal.task.query.TaskSummaryQueryBuilder activationTime​(Date... activationTime)

      Specified by:
        `activationTime` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### activationTimeRange

          public org.kie.internal.task.query.TaskSummaryQueryBuilder activationTimeRange​(Date activationTimeMin,
                                                                                         Date activationTimeMax)

      Specified by:
        `activationTimeRange` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### actualOwner

          public org.kie.internal.task.query.TaskSummaryQueryBuilder actualOwner​(String... taskOwnerId)

      Specified by:
        `actualOwner` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### archived

          public org.kie.internal.task.query.TaskSummaryQueryBuilder archived​(boolean archived)

      Specified by:
        `archived` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### businessAdmin

          public org.kie.internal.task.query.TaskSummaryQueryBuilder businessAdmin​(String... businessAdminId)

      Specified by:
        `businessAdmin` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### createdBy

          public org.kie.internal.task.query.TaskSummaryQueryBuilder createdBy​(String... createdById)

      Specified by:
        `createdBy` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### createdOn

          public org.kie.internal.task.query.TaskSummaryQueryBuilder createdOn​(Date... createdOnDate)

      Specified by:
        `createdOn` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### createdOnRange

          public org.kie.internal.task.query.TaskSummaryQueryBuilder createdOnRange​(Date createdOnMin,
                                                                                    Date createdOnMax)

      Specified by:
        `createdOnRange` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### deploymentId

          public org.kie.internal.task.query.TaskSummaryQueryBuilder deploymentId​(String... deploymentId)

      Specified by:
        `deploymentId` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### description

          public org.kie.internal.task.query.TaskSummaryQueryBuilder description​(String... description)

      Specified by:
        `description` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### expirationTime

          public org.kie.internal.task.query.TaskSummaryQueryBuilder expirationTime​(Date... expirationTime)

      Specified by:
        `expirationTime` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### expirationTimeRange

          public org.kie.internal.task.query.TaskSummaryQueryBuilder expirationTimeRange​(Date expirationTimeMin,
                                                                                         Date expirationTimeMax)

      Specified by:
        `expirationTimeRange` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### formName

          public org.kie.internal.task.query.TaskSummaryQueryBuilder formName​(String... formName)

      Specified by:
        `formName` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### potentialOwner

          public org.kie.internal.task.query.TaskSummaryQueryBuilder potentialOwner​(String... potentialOwnerId)

      Specified by:
        `potentialOwner` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### processInstanceId

          public org.kie.internal.task.query.TaskSummaryQueryBuilder processInstanceId​(long... processInstanceId)

      Specified by:
        `processInstanceId` in interface `org.kie.internal.query.ProcessInstanceIdQueryBuilder<org.kie.internal.task.query.TaskSummaryQueryBuilder,​org.kie.api.task.model.TaskSummary>`

    - #### name

          public org.kie.internal.task.query.TaskSummaryQueryBuilder name​(String... names)

      Specified by:
        `name` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### priority

          public org.kie.internal.task.query.TaskSummaryQueryBuilder priority​(int... priority)

      Specified by:
        `priority` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### processId

          public org.kie.internal.task.query.TaskSummaryQueryBuilder processId​(String... processId)

      Specified by:
        `processId` in interface `org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<org.kie.internal.task.query.TaskSummaryQueryBuilder,​org.kie.api.task.model.TaskSummary>`

    - #### processInstanceIdRange

          public org.kie.internal.task.query.TaskSummaryQueryBuilder processInstanceIdRange​(Long processInstanceIdMin,
                                                                                            Long processInstanceIdMax)

      Specified by:
        `processInstanceIdRange` in interface `org.kie.internal.query.ProcessInstanceIdQueryBuilder<org.kie.internal.task.query.TaskSummaryQueryBuilder,​org.kie.api.task.model.TaskSummary>`

    - #### processSessionId

          public org.kie.internal.task.query.TaskSummaryQueryBuilder processSessionId​(long... processSessionId)

      Specified by:
        `processSessionId` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### skippable

          public org.kie.internal.task.query.TaskSummaryQueryBuilder skippable​(boolean skippable)

      Specified by:
        `skippable` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### stakeHolder

          public org.kie.internal.task.query.TaskSummaryQueryBuilder stakeHolder​(String... stakeHolderId)

      Specified by:
        `stakeHolder` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### status

          public org.kie.internal.task.query.TaskSummaryQueryBuilder status​(org.kie.api.task.model.Status... status)

      Specified by:
        `status` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### subject

          public org.kie.internal.task.query.TaskSummaryQueryBuilder subject​(String... subjects)

      Specified by:
        `subject` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### subTaskStrategy

          public org.kie.internal.task.query.TaskSummaryQueryBuilder subTaskStrategy​(org.kie.internal.task.api.model.SubTasksStrategy... subTasksStrategy)

      Specified by:
        `subTaskStrategy` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### taskId

          public org.kie.internal.task.query.TaskSummaryQueryBuilder taskId​(long... taskId)

      Specified by:
        `taskId` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### taskIdRange

          public org.kie.internal.task.query.TaskSummaryQueryBuilder taskIdRange​(Long taskIdMin,
                                                                                 Long taskIdMax)

      Specified by:
        `taskIdRange` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### taskParentId

          public org.kie.internal.task.query.TaskSummaryQueryBuilder taskParentId​(long... taskParentId)

      Specified by:
        `taskParentId` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### taskType

          public org.kie.internal.task.query.TaskSummaryQueryBuilder taskType​(String... taskType)

      Specified by:
        `taskType` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### variableName

          public org.kie.internal.task.query.TaskSummaryQueryBuilder variableName​(String... varName)

      Specified by:
        `variableName` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### variableValue

          public org.kie.internal.task.query.TaskSummaryQueryBuilder variableValue​(String... varValue)

      Specified by:
        `variableValue` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### workItemId

          public org.kie.internal.task.query.TaskSummaryQueryBuilder workItemId​(long... workItemId)

      Specified by:
        `workItemId` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### clear

          public org.kie.internal.task.query.TaskSummaryQueryBuilder clear()

      Specified by:
        `clear` in interface `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.TaskSummaryQueryBuilder>`
      Overrides:
        `clear` in class `org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.task.query.TaskSummaryQueryBuilder>`

    - #### ascending

          public org.kie.internal.task.query.TaskSummaryQueryBuilder ascending​(org.kie.internal.task.query.TaskSummaryQueryBuilder.OrderBy field)

      Specified by:
        `ascending` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### descending

          public org.kie.internal.task.query.TaskSummaryQueryBuilder descending​(org.kie.internal.task.query.TaskSummaryQueryBuilder.OrderBy field)

      Specified by:
        `descending` in interface `org.kie.internal.task.query.TaskSummaryQueryBuilder`

    - #### build

          public org.kie.internal.query.ParametrizedQuery<org.kie.api.task.model.TaskSummary> build()

      Specified by:
        `build` in interface `org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.task.query.TaskSummaryQueryBuilder,​org.kie.api.task.model.TaskSummary>`